package com.wincornixdorf.vnc.gui.ft;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * Created by janfogl.
 */
public class FTDateColumn {

    private static DateFormat sdf = new SimpleDateFormat("dd.MM.yyyy HH:mm");

    private String filename;
    private Date date;

    public FTDateColumn(String filename, Date date, DateFormat dateFormat) {
        this.filename = filename;
        this.date = date;
        if(dateFormat != null) {
            this.sdf = dateFormat;
        }
    }

    public String getFilename() {
        return filename;
    }

    public void setFilename(String filename) {
        this.filename = filename;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    @Override
    public String toString() {
        if (date == null) {
            return "-";
        }
        return sdf.format(date);
    }
}
