package com.wincornixdorf.vnc.global;

import javax.swing.JTextArea;
import java.util.logging.*;

/**This class abuses the Log4J Appender concept to simply forward log messages
coming through to a given JTextArea. It's plain it's simple it's getting the
job done. What can I say :/*/
public class TextAreaAppender extends Handler {

    private JTextArea jta = null;

    public TextAreaAppender( JTextArea jta) {
        this.jta = jta;
        setLevel( Level.CONFIG);
        //setLevel( Level.ALL);
    }

    public void publish( LogRecord event) {
        if ( event == null || !isLoggable( event)) return;
        //if ( jta == null || event == null || event.getLevel() == Level.DEBUG) return;
        Formatter f = getFormatter();
        jta.append( f.formatMessage( event) + "\n");
    }

    public void close() {
        jta.append( ">>> Text appender was closed <<<\n");
    }

    public void flush() {
        // intentionally left unimplemented ...
        // In other words ... it's supposed to do NOTHING!
    }
}
