package com.wincornixdorf.vnc.rfb.decoder;

import java.io.DataInputStream;
import java.io.IOException;

import com.wincornixdorf.vnc.rfb.fb.RemoteDesktop;
import com.wincornixdorf.vnc.rfb.fb.VNCEncoding;

public class FBDecoderCopyRect extends FBDecoder {

    public FBDecoderCopyRect( RemoteDesktop rd) {
        super( rd);
    }

    public VNCEncoding getEncoding() {
        return VNCEncoding.CopyRect;
    }

    public void process( DataInputStream is, int x, int y, int w, int h) throws Exception {
        //vc.logDebug( "CR x[" + x + "] y[" + y + "] w[" + w + "] h[" + h + "]");

        readCopyRect( is);

        //memGraphics.copyArea( copyRectSrcX, copyRectSrcY, w, h, x - copyRectSrcX, y - copyRectSrcY);
    }

    // Read CopyRect source X and Y.
    private void readCopyRect( DataInputStream is) throws IOException {
        is.readUnsignedShort();
        is.readUnsignedShort();

        // If the session is being recorded:
        /*if (rec != null) {
            rec.writeShortBE(copyRectSrcX);
            rec.writeShortBE(copyRectSrcY);
        }*/
    }

}
