package com.wincornixdorf.vnc.rfb.decoder;

import java.io.DataInputStream;

import com.wincornixdorf.vnc.rfb.fb.RemoteDesktop;
import com.wincornixdorf.vnc.rfb.fb.VNCEncoding;

public class FBDecoderRAW extends FBDecoder {

    public FBDecoderRAW( RemoteDesktop rd) {
        super( rd);
    }

    public VNCEncoding getEncoding() {
        return VNCEncoding.Raw;
    }

    public void process( DataInputStream is, int x, int y, int w, int h) throws Exception {
        try {
            processRAW( is, x, y, w, h, rd.getBytesPerPixel());
        } catch ( Exception e) {
            throw new Exception( "Error processing RAW " + dbgTile( x, y, w, h, rd.getBytesPerPixel()), e);
        }
    }
}
