/**
 * 
 */
package com.wincornixdorf.vnc.rfb.exceptions;

import com.wincornixdorf.vnc.rfb.RFB.AuthResult;

/**
 * @author dic
 *
 */
public class LoginException extends Exception {

	private AuthResult result		= AuthResult.FAILED;
	private String     reason		= "";

	/**
	 * 
	 */
	private static final long serialVersionUID = 543276653351L;

	public LoginException( String string) {
		super( string);
	}
	
	public LoginException( AuthResult r, String message, String reasonMsg) {
		super( message);
		reason = reasonMsg;
		result = r;
	}

	public LoginException( String string, Exception e) {
		super( string, e);
	}

	public AuthResult getAuthResult() { return result; }
	
	public String getConnectionFailedReason() { return reason; }

	public boolean hasConnectionFailedReason() {
		return reason != null && !reason.isEmpty();
	}
}
